Skip to main content
GET
/
api
/
v2
/
inbox-placement-reports
/
{id}
Get inbox placement blacklist & spamassassin report
curl --request GET \
  --url https://api.instantly.ai/api/v2/inbox-placement-reports/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019e3bd1-8dbd-7fdb-bfa7-a0816058c54b",
  "timestamp_created": "2026-05-18T16:00:49.597Z",
  "timestamp_created_date": "2026-05-18",
  "organization_id": "019e3bd1-8dbd-7fdb-bfa7-a082db93cd63",
  "test_id": "019e3bd1-8dbd-7fdb-bfa7-a08336202a96",
  "domain": "growinstantly.com",
  "domain_ip": "192.168.1.1",
  "spam_assassin_score": 2.5,
  "domain_blacklist_count": 5,
  "domain_ip_blacklist_count": 3,
  "spam_assassin_report": {
    "is_spam": false,
    "report": [
      {
        "description": "BODY",
        "name": "HTML_MESSAGE",
        "score": "0.0"
      }
    ],
    "spam_score": 0
  },
  "blacklist_report": {
    "address": "growinstantly.com",
    "blacklisted_count": 5,
    "details": [
      {
        "blacklist": "zen.spamhaus.org",
        "is_listed": true,
        "test_type": "ip"
      }
    ],
    "ip": "104.21.62.47",
    "is_blacklisted": true,
    "is_domain": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the requested item

Example:

"019e3bd1-b5ac-7c6c-a72f-68a75ca02e18"

Response

The requested Inbox Placement Blacklist & SpamAssassin Report

Report data for an inbox placement test

id
string<uuid>
required
read-only

Unique identifier for the inbox placement report entry

Example:

"019e3bd1-8dbd-7fdb-bfa7-a0816058c54b"

timestamp_created
string
required
read-only

Timestamp when the inbox placement report was created

Example:

"2026-05-18T16:00:49.597Z"

timestamp_created_date
string
required
read-only

Date when the inbox placement report was created

Example:

"2026-05-18"

organization_id
string<uuid>
required
read-only

Organization ID

Example:

"019e3bd1-8dbd-7fdb-bfa7-a082db93cd63"

test_id
string<uuid>
required
read-only

Inbox Placement Test ID

Example:

"019e3bd1-8dbd-7fdb-bfa7-a08336202a96"

domain
string
required
read-only

Domain of the inbox placement report

Example:

"growinstantly.com"

domain_ip
string
required
read-only

IP address of the domain

Example:

"192.168.1.1"

spam_assassin_score
number
required
read-only

SpamAssassin score for the email, indicating spam likelihood

Example:

2.5

domain_blacklist_count
null | number
read-only

Count of blacklists the domain is listed on

Example:

5

domain_ip_blacklist_count
null | number
read-only

Count of blacklists the domain IP is listed on

Example:

3

spam_assassin_report
object
read-only

Detailed SpamAssassin analysis report

blacklist_report
object
read-only

Detailed blacklist report for the domain or IP